Bug 123401 - (NET EPIC)mii-tool and ethtool both incorrectly show epic100 ethernet link as down
Summary: (NET EPIC)mii-tool and ethtool both incorrectly show epic100 ethernet link as...
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-18 04:54 UTC by Ethan Blanton
Modified: 2015-01-04 22:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 04:09:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci information (5.43 KB, text/plain)
2004-05-18 04:55 UTC, Ethan Blanton
no flags Details

Description Ethan Blanton 2004-05-18 04:54:15 UTC
Description of problem:

Both mii-tool and ethtool indicate that there is no link on an SMSC
Epic/100 83c170 (using the epic100.c driver) card, despite the fact
that there is in fact a link and manual configuration of the card
(either by static address assignment or dhclient) works properly. 
This causes the network scripts to fail.

The workaround at
http://www.vmware.com/support/guestnotes/doc/guestos_redhat90.html#1128831
 allows the scripts to work.

Version-Release number of selected component (if applicable):
kernel-2.6.5-1.354

How reproducible:
Always

Steps to Reproduce:
1. Obtain a crappy SMC NIC
2. Attach a known good Ethernet cable (you can test this by manual
configuration of the card or hand-starting dhclient)
2. run ethtool on it
  
Actual results:
ethtool reports link down

Expected results:
ethtool reports link up

Additional info:

Comment 1 Ethan Blanton 2004-05-18 04:55:17 UTC
Created attachment 100294 [details]
lspci information

Comment 2 Ethan Blanton 2004-05-18 04:56:42 UTC
(This is likely related to 120623 ... sorry for the spam, I had so
much trouble getting bugzilla to play nice with my browser that I
forgot to mention that.)

Comment 3 Alan Cox 2004-06-19 01:02:02 UTC
Unrelated I think. The "mii' bug you see ought to be fixed in the
errata kernel we released. Please test and let me know


Comment 4 Ethan Blanton 2004-06-19 20:07:42 UTC
Assuming that you are referencing 2.6.6-1.435, the bug does not appear
to be fixed.  Both mii-tool and ethtool still report the link as down,
despite the NIC being operational and in use as the host's only
network interface.

Comment 5 Dave Jones 2004-11-19 03:49:35 UTC
fixed in the latest errata kernels ?

Comment 6 Dave Jones 2005-04-16 04:09:05 UTC
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.



Note You need to log in before you can comment on or make changes to this bug.